mplayer -- integer overflow

2010-05-11T00:00:00
ID DSA-2044
Type debian
Reporter Debian
Modified 2010-05-11T00:00:00

Description

tixxDZ (DZCORE labs) discovered a vulnerability in the mplayer movie player. Missing data validation in mplayer's real data transport (RDT) implementation enable an integer underflow and consequently an unbounded buffer operation. A maliciously crafted stream could thus enable an attacker to execute arbitrary code.

No Common Vulnerabilities and Exposures project identifier is available for this issue.

For the stable distribution (lenny), this problem has been fixed in version 1.0~rc2-17+lenny3.2.

We recommend that you upgrade your mplayer packages.